<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML"
        xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org"
        xml:lang="ru" xml:id="if">
    <refnamediv>
        <refname>if</refname>
        <refpurpose>ключевое слово для условного выполнения</refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Синтаксис</title>
        <synopsis>
            if expr1 then
                statements1
            elseif expri then
                statementsi
                ....
            else
                statements
            end
        </synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Аргументы</title>
        <variablelist>
            <varlistentry>
                <term>expr1, expri</term>
                <listitem>
                    <para>
                        логические выражения.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>statements, ..., statements i</term>
                <listitem>
                    <para>
                        наборы корректных инструкций.
                    </para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Описание</title>
        <para>
            Инструкция <literal>if</literal> вычисляет логическое выражение <literal>expr1</literal>
            и выполняет набор инструкций <literal>statements 1</literal>, если выражение истинно.
        </para>
        <para>
            <literal>expri</literal> являются выражениями с числовыми или логическими значениями. Если
            <literal>expri</literal> является нескалярным значением, то условие истинно только если
            все элементы этого значения истинны или отличны от нуля.
        </para>
        <para>
            Необязательные ключевые слова <literal>elseif</literal> и <literal>else</literal>
            необходимы для выполнения альтернативных групп инструкций. Ключевое слово
            <literal>end</literal>, которое соответствует <literal>if</literal>, заканчивает
            последнюю группу инструкций. Линейная структура управляющей инструкции
            <literal>if</literal> не существенна, единственным ограничением является то, что
            каждое ключевое слово <literal>then</literal> должно быть на той же самой строке,
            что и соответствующее ключевое слово <literal>if</literal> или <literal>elseif</literal>.
        </para>
        <para>
            Ключевое слово <literal>then</literal> можно заменить на возврат каретки или запятую.
        </para>
        <para>
            В соответствии с договорённостями по написанию кода  в Scilab рекомендуется:
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    начинать новую инструкцию на новой строке;
                </para>
            </listitem>
            <listitem>
                <para>
                    писать не более одной простой инструкции на одной строке;
                </para>
            </listitem>
            <listitem>
                <para>
                    разбивать составные инструкции на множество строк.
                </para>
            </listitem>
        </itemizedlist>
        <para>
            Например, используйте:
        </para>
        <programlisting role=""><![CDATA[
      if rand(1,1) > 0.5 then
    disp("True");
      else
    disp("False");
      end
]]></programlisting>
        <para>
            а не:
        </para>
        <programlisting role=""><![CDATA[
      if rand(1,1) > 0.5 then disp("True"); else disp("False"); end
]]></programlisting>
      <warning>
        число символов, используемых для определения тела любой инструкции условия
        (<literal>if while for</literal> или <literal>select/case</literal>) должно быть ограничено
        16К.
      </warning>
    </refsection>
    <refsection>
        <title>Примеры</title>
        <programlisting role="example"><![CDATA[
i=2
for j = 1:3,
  if i == j then
    a(i,j) = 2;
  elseif abs(i-j) == 1 then
    a(i,j) = -1;
  else a(i,j) = 0;
  end,
end
 ]]></programlisting>
    </refsection>
    <refsection role="see also">
        <title>Смотрите также</title>
        <simplelist type="inline">
            <member>
                <link linkend="then">then</link>
            </member>
            <member>
                <link linkend="else">else</link>
            </member>
            <member>
                <link linkend="elseif">elseif</link>
            </member>
            <member>
                <link linkend="end">end</link>
            </member>
            <member>
                <link linkend="while">while</link>
            </member>
            <member>
                <link linkend="select">select</link>
            </member>
            <member>
                <link linkend="boolean">boolean</link>
            </member>
            <member>
                <link linkend="comparison">сравнение</link>
            </member>
            <member>
                <link linkend="or_op">|, ||</link>
            </member>
            <member>
                <link linkend="and_op">&amp;, &amp;&amp;</link>
            </member>
        </simplelist>
    </refsection>
    <refsection role="history">
        <title>История</title>
        <revhistory>
            <revision>
                <revnumber>6.0.0</revnumber>
                <revdescription>
                  <literal>if</literal> is now protected:
                  Assignments like <literal>if=1</literal> are no longer possible.
                </revdescription>
            </revision>
        </revhistory>
    </refsection>
</refentry>
